sem_release
shm_attach
Semaphore Functions
PHP Manual

# sem_remove

(PHP 4 >= 4.1.0, PHP 5)

sem_remove — Remove a semaphore

### Description

bool sem_remove ( resource `$sem_identifier` )

sem_remove() removes the given semaphore.

After removing the semaphore, it is no longer accessible.

### Parameters

`sem_identifier`

  A semaphore resource identifier as returned by sem_get().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- sem_get() - Get a semaphore id
- sem_release() - Release a semaphore
- sem_acquire() - Acquire a semaphore

sem_release
shm_attach
Semaphore Functions
PHP Manual